--insert into intrasell_daten_2.buchKassabuch ( datum, BetragEingang, Beschreibung ) 
select b.Datum, b.Umsatz,  concat('AR', b.Fortlaufendenummer) 
from kassa.beleg b 
where datum < '2018-02-28 14:00'
and not exists (select 1 from 
intrasell_daten_2.buchvorgang v where v.nummer = b.Fortlaufendenummer)
and not exists (select 1 from 
intrasell_daten_2.buchKassabuch v where Beschreibung= concat('AR', b.Fortlaufendenummer) ); 

--insert into intrasell_daten_2.buchVorgang (nummer, typ, datum, summeBrutto, Kundnr, bezahlt, abgeschlossen, ausgedruckt) 
select b.Fortlaufendenummer, 'AR', b.Datum, b.Umsatz , 1, -1, -1, -1 
from kassa.beleg b
where not exists (select 1 from 
intrasell_daten_2.buchvorgang v where v.nummer = b.Fortlaufendenummer); 

--insert into intrasell_daten_2.`buchvorgang-artikel` 
 (ID, Nummer, Typ, Bezeichnung, Stk , Preis_Netto, Preis_Brutto, MWST, ArtNr)
select p.Id,  p.BelegNummer, 'AR', p.Bezeichnung, p.Stk, p.PreisNetto, p.PreisNetto*(100+p.Mwst)/100, p.PreisNetto*(p.Mwst)/100 , 1
 from
kassa.position p
where not exists(select 1 from intrasell_daten_2.`buchvorgang-artikel` va where va.Nummer = p.BelegNummer ) ;

--update intrasell_daten_2.`buchvorgang-artikel` va, grartikel a
set va.artnr  = a.ArtNr
where va.Bezeichnung = a.Bezeichnung and va.artnr = 1;
 
--update intrasell_daten_2.buchvorgang v set 
v.Summe = (select round(sum(Preis_Netto),2) from intrasell_daten_2.`buchvorgang-artikel` va  where v.Typ = 'AR' and v.Nummer = va.Nummer), 
v.SummeMWST = (select round(sum(MWST),2)  from intrasell_daten_2.`buchvorgang-artikel` va  where v.Typ = 'AR' and v.Nummer = va.Nummer), 
v.SummeBrutto = (select round(sum(va.Preis_Brutto),2)  from intrasell_daten_2.`buchvorgang-artikel` va  where v.Typ = 'AR' and v.Nummer = va.Nummer)
where v.Summe = 0 and v.Typ = 'AR';
 

select month(datum) as M,  sum(Umsatz) as Summe
from kassa.beleg b
group by 1;

select month(datum) as M,  sum(summeBrutto) as Summe
from intrasell_daten_2.buchvorgang  b
group by 1;